import request from '@/utils/request'

// 查询方舱人员列表
export function listFcry(query) {
  return request({
    url: '/system/fcry/list',
    method: 'get',
    params: query
  })
}

// 查询方舱人员详细
export function getFcry(id) {
  return request({
    url: '/system/fcry/' + id,
    method: 'get'
  })
}

// 新增方舱人员
export function addFcry(data) {
  return request({
    url: '/system/fcry',
    method: 'post',
    data: data
  })
}

// 修改方舱人员
export function updateFcry(data) {
  return request({
    url: '/system/fcry',
    method: 'put',
    data: data
  })
}

// 删除方舱人员
export function delFcry(id) {
  return request({
    url: '/system/fcry/' + id,
    method: 'delete'
  })
}
// 下载小区封控情况导入模板
export function importTemplate(params) {
  return request({
    url: '/system/fcry/exportTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}

// 导入小区封控情况
export function importExcel(data) {
  return request({
    url: '/system/fcry/import',
    method: 'post',
    responseType: 'blob',
    data
  })
}
