import request from '@/utils/request'

// 查询小区封控情况列表
export function listFkqk(query) {
  return request({
    url: '/system/fkqk/list',
    method: 'get',
    params: query
  })
}

// 查询小区封控情况详细
export function getFkqk(id) {
  return request({
    url: '/system/fkqk/' + id,
    method: 'get'
  })
}

// 新增小区封控情况
export function addFkqk(data) {
  return request({
    url: '/system/fkqk',
    method: 'post',
    data: data
  })
}

// 修改小区封控情况
export function updateFkqk(data) {
  return request({
    url: '/system/fkqk',
    method: 'put',
    data: data
  })
}

// 删除小区封控情况
export function delFkqk(id) {
  return request({
    url: '/system/fkqk/' + id,
    method: 'delete'
  })
}

// 下载小区封控情况导入模板
export function importTemplate(params) {
  return request({
    url: '/system/fkqk/exportTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}

// 导入小区封控情况
export function importExcel(data) {
  return request({
    url: '/system/fkqk/import',
    method: 'post',
    responseType: 'blob',
    data
  })
}
