import request from '@/utils/request'

// 查询隔离点人员列表
export function listGldry(query) {
  return request({
    url: '/system/gldry/list',
    method: 'get',
    params: query
  })
}

// 查询隔离点人员详细
export function getGldry(id) {
  return request({
    url: '/system/gldry/' + id,
    method: 'get'
  })
}

// 新增隔离点人员
export function addGldry(data) {
  return request({
    url: '/system/gldry',
    method: 'post',
    data: data
  })
}

// 修改隔离点人员
export function updateGldry(data) {
  return request({
    url: '/system/gldry',
    method: 'put',
    data: data
  })
}

// 删除隔离点人员
export function delGldry(id) {
  return request({
    url: '/system/gldry/' + id,
    method: 'delete'
  })
}

// 下载导入模板
export function importTemplate(params) {
  return request({
    url: '/system/gldry/importTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// 导入用户信息
export function importExcel(data) {
  return request({
    url: '/system/gldry/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}
// 查询隔离点名称
export function getGlPlace(type) {
  return request({
    url: '/system/gldry/selectValue',
    method: 'get',
    params: type
  })
}
