import request from '@/utils/request'

// 查询核酸采集列表
export function listHscj(query) {
  return request({
    url: '/system/hscj/list',
    method: 'get',
    params: query
  })
}

// 查询核酸采集详细
export function getHscj(id) {
  return request({
    url: '/system/hscj/' + id,
    method: 'get'
  })
}

// 新增核酸采集
export function addHscj(data) {
  return request({
    url: '/system/hscj',
    method: 'post',
    data: data
  })
}

// 修改核酸采集
export function updateHscj(data) {
  return request({
    url: '/system/hscj',
    method: 'put',
    data: data
  })
}

// 删除核酸采集
export function delHscj(id) {
  return request({
    url: '/system/hscj/' + id,
    method: 'delete'
  })
}

// 下载导入模板
export function importTemplate(params) {
  return request({
    url: '/system/hscj/importTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// 导入用户信息
export function importExcel(data) {
  return request({
    url: '/system/hscj/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}
