import request from '@/utils/request'

// 查询抗原异常上报列表
export function listYcsb(query) {
  return request({
    url: '/system/ycsb/list',
    method: 'get',
    params: query
  })
}

// 查询抗原异常上报详细
export function getYcsb(id) {
  return request({
    url: '/system/ycsb/' + id,
    method: 'get'
  })
}

// 新增抗原异常上报
export function addYcsb(data) {
  return request({
    url: '/system/ycsb',
    method: 'post',
    data: data
  })
}

// 修改抗原异常上报
export function updateYcsb(data) {
  return request({
    url: '/system/ycsb',
    method: 'put',
    data: data
  })
}

// 删除抗原异常上报
export function delYcsb(id) {
  return request({
    url: '/system/ycsb/' + id,
    method: 'delete'
  })
}

// 下载抗原异常上报导入模板
export function importTemplate(params) {
  return request({
    url: '/system/ycsb/importTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}

// 导入抗原异常上报信息
export function importExcel(data) {
  return request({
    url: '/system/ycsb/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}
