import request from '@/utils/request'

// 查询阳性人员列表
export function listYxry(query) {
  return request({
    url: '/system/yxry/list',
    method: 'get',
    params: query
  })
}
// 通过身份证号获取信息
export function cardGetInfo(query) {
  return request({
    url: '/system/yxry/selectByCard',
    method: 'get',
    params: query
  })
}

// 下载导入模板
export function importTemplate(params) {
  return request({
    url: '/system/yxry/importTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}

// 导入用户信息
export function importExcel(data) {
  return request({
    url: '/system/yxry/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 查询阳性人员详细
export function getYxry(id) {
  return request({
    url: '/system/yxry/' + id,
    method: 'get'
  })
}

// 新增阳性人员
export function addYxry(data) {
  return request({
    url: '/system/yxry',
    method: 'post',
    data: data
  })
}

// 修改阳性人员
export function updateYxry(data) {
  return request({
    url: '/system/yxry',
    method: 'put',
    data: data
  })
}

// 删除阳性人员
export function delYxry(id) {
  return request({
    url: '/system/yxry/' + id,
    method: 'delete'
  })
}
