import request from '@/utils/request'

// 查询治疗情况列表
export function listZlqk(query) {
  return request({
    url: '/system/zlqk/list',
    method: 'get',
    params: query
  })
}

// 下载治疗情况导入模板
export function importTemplate(params) {
  return request({
    url: '/system/zlqk/importTemplate',
    method: 'post',
    responseType: 'blob',
    params
  })
}

// 导入用户信息
export function importExcel(data) {
  return request({
    url: '/system/zlqk/importData',
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 查询治疗情况详细
export function getZlqk(id) {
  return request({
    url: '/system/zlqk/' + id,
    method: 'get'
  })
}

// 新增治疗情况
export function addZlqk(data) {
  return request({
    url: '/system/zlqk',
    method: 'post',
    data: data
  })
}

// 修改治疗情况
export function updateZlqk(data) {
  return request({
    url: '/system/zlqk',
    method: 'put',
    data: data
  })
}

// 删除治疗情况
export function delZlqk(id) {
  return request({
    url: '/system/zlqk/' + id,
    method: 'delete'
  })
}
